Bug 1065636 - python-qt5-debuginfo-5.2-3.fc21 is empty
Summary: python-qt5-debuginfo-5.2-3.fc21 is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:20 UTC by Ville Skyttä
Modified: 2014-04-01 19:21 UTC (History)
7 users (show)

Fixed In Version: qt5-qtbase-5.2.1-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-21 09:31:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Ville Skyttä 2014-02-15 10:20:06 UTC
python-qt5-debuginfo-5.2-3.fc21 is empty, I guess because of:

$ curl -s http://kojipkgs.fedoraproject.org//packages/python-qt5/5.2/3.fc21/data/logs/x86_64/build.log | grep -wF strip
strip "/builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/bin/pylupdate5"
strip "/builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/bin/pyrcc5"
strip --strip-unneeded "/builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/lib64/qt5/plugins/designer/libpyqt5.so"
strip --strip-unneeded "/builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/lib64/qt5/plugins/PyQt5/libpyqt5qmlplugin.so"
strip /builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/bin/pyuic5
strip:/builddir/build/BUILDROOT/python-qt5-5.2-3.fc21.x86_64/usr/bin/pyuic5: File format not recognized
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip

Comment 1 Rex Dieter 2014-02-17 21:08:59 UTC
Good spot, need to figure out where that is coming from.

Comment 2 Rex Dieter 2014-02-18 18:18:21 UTC
Icky, starting to look like the qt5 equivalent of old qt4 bug #193602

Comment 3 Rex Dieter 2014-02-18 18:42:33 UTC
%changelog
* Tue Feb 18 2014 Rex Dieter <rdieter@fedoraproject.org> 5.2.1-4
- undefine QMAKE_STRIP (and friends), so we get useful -debuginfo pkgs (#1065636)

Comment 4 Kevin Kofler 2014-03-08 22:29:46 UTC
Hmmmph, qt5-qtbase was fixed back on February 18, but python-qt5 STILL hasn't been rebuilt against it! I'm doing that now.

Comment 5 Kevin Kofler 2014-03-08 22:36:59 UTC
Also, the qt5-qtbase fix was STILL not pushed to F19 and F20, where all the Qt 5 QMake builds will STILL be faulty!

python-qt5 has not been pushed to releases at all though.

Comment 6 Kevin Kofler 2014-03-09 00:09:44 UTC
python-qt5 in Rawhide has been rebuilt now. I'll be pushing qtbase-qt5 updates to F19 and F20 as soon as the builds complete.

Comment 7 Fedora Update System 2014-03-09 01:07:43 UTC
qt5-qtbase-5.2.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtbase-5.2.1-5.fc20

Comment 8 Fedora Update System 2014-03-09 01:08:07 UTC
qt5-qtbase-5.2.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtbase-5.2.1-5.fc19

Comment 9 Kevin Kofler 2014-03-09 01:10:48 UTC
Also added qt5-qtbase-5.2.1-5.fc20 and qt5-qtbase-5.2.1-5.fc19 as buildroot overrides with a 2-week timeout.

Comment 10 Fedora Update System 2014-03-10 02:49:43 UTC
qt5-qtbase-5.2.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtbase-5.2.1-5.el6

Comment 11 Fedora Update System 2014-03-10 06:48:12 UTC
Package qt5-qtbase-5.2.1-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt5-qtbase-5.2.1-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3680/qt5-qtbase-5.2.1-5.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-03-21 09:31:59 UTC
qt5-qtbase-5.2.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-03-21 09:34:32 UTC
qt5-qtbase-5.2.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-04-01 19:21:31 UTC
qt5-qtbase-5.2.1-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.